// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "MeshRenderer.hpp"
#include "MeshHost.hpp"
#include "scene/SceneItem.hpp"

using namespace Dawn;

MeshRenderer::MeshRenderer(SceneItem *item) : SceneItemComponent(item) {
}

std::vector<SceneItemComponent*> MeshRenderer::getDependencies() {
  return std::vector<SceneItemComponent*>{
    this->meshHost = this->item->getComponent<MeshHost>()
  };
}

void MeshRenderer::onStart() {
  SceneItemComponent::onStart();

  if(this->mesh == nullptr && this->meshHost != nullptr) {
    this->mesh = &this->meshHost->mesh;
  }
}