// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UIGrid.hpp"

using namespace Dawn;

UIGrid::UIGrid(UICanvas *canvas) : UIComponent(canvas) {
}

void UIGrid::setSize(int32_t rows, int32_t columns) {
  this->gridArea.clear();
  
  this->rows = rows;
  this->columns = columns;

  int32_t i, l;
  l = rows * columns;
  for(i = 0; i < l; i++) {
    struct GridArea area;
    area.uiComponent = nullptr;
    this->gridArea.push_back(area);
  }
}

void UIGrid::setItem(int32_t x, int32_t y, UIComponent *comp) {
  auto item = &this->gridArea[(y * this->rows) + x];

  //Too lazy to support re setting. Need to mod setSize too
  assertNull(item->uiComponent);

  item->uiComponent = comp;
}
