// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "UIComponent.hpp"

namespace Dawn {
  enum GridAlign {
    ALIGN_GROW,
    ALIGN_CONTENT,
    ALIGN_FIXED
  };

  struct GridArea {
    enum GridAlignment xAlign;
    enum GridAlignment yAlign;
    float_t width, height;
    float_t x, y;
    UIComponent *uiComponent;
  };

  class UIGrid : public UIComponent {
    protected:
      void alignChildren();

    public:
      glm::vec2 cellPadding;
      glm::vec2 cellMargin;
      int32_t rows = 1;
      int32_t columns = 1;
      std::vector<struct GridArea> gridArea;

      UIGrid(UICanvas *canvas);

      void setSize(int32_t rows, int32_t columns);

      void setItem(int32_t row, int32_t col, UIComponent *comp);
  };
}