// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License. 
// https://opensource.org/licenses/MIT

#include "UISprite.hpp"

using namespace Dawn;

UISprite::UISprite(UICanvas *canvas) : UIComponent(canvas) {
  this->mesh.createBuffers(QUAD_VERTICE_COUNT, QUAD_INDICE_COUNT);
}

void UISprite::updatePositions() {
  UIComponent::updatePositions();

  QuadMesh::bufferQuadMesh(
    &this->mesh,
    glm::vec2(0, 0), glm::vec2(0, 0),
    glm::vec2(this->width, this->height), glm::vec2(1, 1),
    0, 0
  );
}

void UISprite::drawSelf(UIShader *uiShader, glm::mat4 selfTransform) {
  uiShader->setUITexture(nullptr);
  uiShader->setUIModel(selfTransform);
  uiShader->setUIModel(glm::mat4(1.0f));
  uiShader->setUIColor(this->color);
  uiShader->setUITexture(this->texture);

  this->mesh.draw(MESH_DRAW_MODE_TRIANGLES, 0, -1);
}