// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"
#include "assert/assert.hpp"

namespace Dawn {
  template<typename T>
  void vectorAppend(std::vector<T> *list, std::vector<T> *append) {
    assertNotNull(list);
    assertNotNull(append);

    auto it = append->begin();
    while(it != append->end()) {
      list->push_back(*it);
      ++it;
    }
  }
}
