// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "BarrySaveManager.hpp"

using namespace Dawn;

BarrySaveManager::BarrySaveManager(DawnGame *game) : SaveManager(game) {
}

bool_t BarrySaveManager::validateSave(struct SaveFile raw) {
  if(!raw.has(POKER_SAVE_KEY_EXAMPLE)) return true;
  this->currentSave.copy(raw, POKER_SAVE_KEY_EXAMPLE);

  return false;
}

void BarrySaveManager::setExample(int32_t val) {
  savedata_t value;
  value.i32 = val;
  this->currentSave.set(POKER_SAVE_KEY_EXAMPLE, value);
}

int32_t BarrySaveManager::getExample() {
  return this->currentSave.get(POKER_SAVE_KEY_EXAMPLE).i32;
}