// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "visualnovel/scene/SimpleVNScene.hpp"

namespace Dawn {
  class TestScene : public SimpleVNScene {
    protected:
      void vnStage() override {
        SimpleVNScene::vnStage();
      }
      
      std::vector<Asset*> getRequiredAssets() override {
        auto assMan = &this->game->assetManager;
        std::vector<Asset*> assets;
        vectorAppend(&assets, &SimpleVNScene::getRequiredAssets());
        return assets;
      }

      IVisualNovelEvent * getVNEvent() override {
        return nullptr;
        // auto start = new VisualNovelTextboxEvent(vnManager,nullptr,"scene.1.1");
        // return start;
      }

    public:
      TestScene(DawnGame *game) : SimpleVNScene(game) {}
  }
}