// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "SimpleVNScene.hpp"

namespace Dawn {
  class Scene_1_1 : public SimpleVNScene {
    protected:
      void vnStage() override {
        SimpleVNScene::vnStage();
      }
      
      std::vector<Asset*> getRequiredAssets() override {
        auto assMan = &this->game->assetManager;
        std::vector<Asset*> assets;
        vectorAppend(&assets, &SimpleVNScene::getRequiredAssets());
        return assets;
      }

      IVisualNovelEvent * getVNEvent() override {
        auto start = new VisualNovelTextboxEvent(vnManager,nullptr,"scene.1.1");
        return start;
      }

    public:
      Scene_1_1(DawnGame *game) : SimpleVNScene(game) {}
  };
}